package edu.uiuc.edsg;

/**
 * Interface for a test that will be executed on a generated value.
 * 
 * @see FilteredGenerator
 * 
 * @param <ValueType> The type of object being tested.
 */
public interface Predicate<ValueType> {
	boolean evaluate(ValueType testObject);
}
