package edu.uiuc.astgen.test.basic;

import org.eclipse.jdt.core.dom.PrimitiveType;
import org.junit.Test;

import edu.uiuc.astgen.basic.NumberLiteralGenerator;
import edu.uiuc.astgen.basic.SimpleNameGenerator;
import edu.uiuc.astgen.basic.SwitchCaseGenerator;
import edu.uiuc.edsg.Chain;
import edu.uiuc.edsg.test.GeneratorTestUtil;

public class SwitchCaseGeneratorTest {

	@Test
	public void DefaultSwitchCase() {		
		GeneratorTestUtil.testBasicFunctionality(SwitchCaseGenerator.getNewDefaultSwitchCaseGenerator(), 2);
	}
	
	@Test
	public void basicFunctionality() {		
		NumberLiteralGenerator numberGen = new NumberLiteralGenerator(3, PrimitiveType.BYTE);
		SwitchCaseGenerator switchCaseGen = new SwitchCaseGenerator(numberGen);		
		GeneratorTestUtil.testBasicFunctionality(switchCaseGen, 3);
	}		
}
