package edu.uiuc.edsg;

/**
 * Interface for an object that converts a value from one type to another.
 * Used in {@link ConversionWrapper}.
 * 
 * @see ConversionWrapper
 */
public interface Converter<FromType, ToType> {
	ToType convert(FromType original);
}
