package edu.uiuc.edsg;

/**
 * Interface for an object that can be "expanded" by a Standin generator.
 * Used to generate recursive or circular data structures.
 * 
 * @param <ValueType> The type of value that the generator returns
 */
public interface Standinable<ValueType> {
	public IGenerator<ValueType> expandStandin();
}
