package edu.uiuc.edsg.test;

import org.junit.*;

import edu.uiuc.edsg.*;

public class StandinTest {

	@Test
	public void basicFunctionality() {
		
		final String testString = "STRING!";
		
		Standin<String> standin = new Standin<String>(
				new Standinable<String>() {					
					public IGenerator<String> expandStandin() {
						return new Literal<String>(testString);
					}
				});
		
		Assert.assertTrue(standin.isReset());
		Assert.assertTrue(standin.hasNext());
		Assert.assertEquals(testString, standin.next());		
	}
}
