package edu.uiuc.astgen.test.basic;

import org.eclipse.jdt.core.dom.AST;
import org.eclipse.jdt.core.dom.PrimitiveType;
import org.eclipse.jdt.core.dom.StringLiteral;
import org.junit.Test;


import edu.uiuc.astgen.basic.SimpleNameGenerator;
import edu.uiuc.astgen.basic.StringLiteralGenerator;
import edu.uiuc.edsg.Chain;
import edu.uiuc.edsg.test.GeneratorTestUtil;

public class StringLiteralGeneratorTest {
	@Test() public void testBasicFunctionality() {	
		Chain<String> chainOfStrings = new Chain<String>();
		chainOfStrings.add("\"name1\"");
		chainOfStrings.add("\"name2\"");
		StringLiteralGenerator stringLiteralGen = new StringLiteralGenerator(chainOfStrings);
		GeneratorTestUtil.testBasicFunctionality(stringLiteralGen, 2);
	}
}
